Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Path Parameters

documentId
string
required

The ID of the document

Query Parameters

domain
string

The G Suite domain

securityCode
string

The security code

Body

application/json
actionAppliedName
string

The transition action name for comments added on transition (read-only field)

actionAppliedName_i18n
string

The transition action internationalized name for comments added on transition (read-only field)

author
object
createdTime
string<date-time>

The time at which the comment was created (read-only field)

fromStateName
string

The name of the origin state for comments added on transition (read-only field)

fromStateName_i18n
string

The internationalized name of the origin state for comments added on transition (read-only field)

id
string

The ID of the comment (read-only field)

kind
string
message
string

The content of the comment (read-only field after creation for now)

modifiedTime
string<date-time>

The time at which the comment was last modified (read-only field, for now equals to createdTime)

parallelValidationStatus
enum<string>

The status of the parallel transition (PENDING, COMPLETED, CANCELLED) for comments added on transition (read-only field)

Available options:
PENDING,
COMPLETED,
CANCELLED
replies
object[]

Not supported for now

toStateName
string

The name of the reached state for comments added on transition (read-only field)

toStateName_i18n
string

The internationalized name of the reached state for comments added on transition (read-only field)

Response

200 - application/json

A ApiComment response

actionAppliedName
string

The transition action name for comments added on transition (read-only field)

actionAppliedName_i18n
string

The transition action internationalized name for comments added on transition (read-only field)

author
object
createdTime
string<date-time>

The time at which the comment was created (read-only field)

fromStateName
string

The name of the origin state for comments added on transition (read-only field)

fromStateName_i18n
string

The internationalized name of the origin state for comments added on transition (read-only field)

id
string

The ID of the comment (read-only field)

kind
string
message
string

The content of the comment (read-only field after creation for now)

modifiedTime
string<date-time>

The time at which the comment was last modified (read-only field, for now equals to createdTime)

parallelValidationStatus
enum<string>

The status of the parallel transition (PENDING, COMPLETED, CANCELLED) for comments added on transition (read-only field)

Available options:
PENDING,
COMPLETED,
CANCELLED
replies
object[]

Not supported for now

toStateName
string

The name of the reached state for comments added on transition (read-only field)

toStateName_i18n
string

The internationalized name of the reached state for comments added on transition (read-only field)